Bug 1441753 - Get IP address automation code not working Azure
Summary: Get IP address automation code not working Azure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.8.0
Assignee: Ladislav Smola
QA Contact: Jeff Teehan
URL:
Whiteboard: provider:azure
Depends On: 1440327
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 15:41 UTC by Satoe Imaishi
Modified: 2020-06-11 13:35 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1440327
Environment:
Last Closed: 2017-05-31 15:04:02 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-13 18:46:31 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/1bc69271362db8aa0ea220c5842d4f8e9f0ec054

commit 1bc69271362db8aa0ea220c5842d4f8e9f0ec054
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Apr 12 07:54:05 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 14:43:38 2017 -0400

    Merge pull request #14741 from Ladas/ensure_managers_change_zone_and_provider_region_with_cloud_manager
    
    Method for ensuring managers change zone and provider region with CloudManager
    (cherry picked from commit 9cae7823ad1538f281e74235c41b891cfcae45aa)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441740
    https://bugzilla.redhat.com/show_bug.cgi?id=1441753

 app/models/mixins/has_network_manager_mixin.rb | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

Comment 3 CFME Bot 2017-04-13 19:18:14 UTC
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/1d98337e7042169402804fcf2c206f17975979c3

commit 1d98337e7042169402804fcf2c206f17975979c3
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Wed Apr 12 11:16:05 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 15:15:33 2017 -0400

    Merge pull request #47 from Ladas/ensure_managers_change_zone_and_provider_region_with_cloud_manager
    
    Ensure managers change zone and provider region with CloudManager
    (cherry picked from commit 76299c0ddc050e5ea40dcaf91b278ac105811260)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441753

 app/models/manageiq/providers/azure/cloud_manager.rb  |  1 +
 .../manageiq/providers/azure/cloud_manager_spec.rb    | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+)

Comment 4 Jeff Teehan 2017-04-28 04:23:33 UTC
I'll check this one out in the morning.

Comment 5 Jeff Teehan 2017-05-02 20:01:26 UTC
This is working fine for me.  Keep in mind that DHCP Ip addresses are only available if the VM is running and the IP is a Public IP address.

Here is my example output:

Name	cfme-azure-58012
IP Addresses	10.1.0.4, 52.167.135.31
MAC Address	00-0D-3A-02-9B-21
Container	Show VMM container information azure: 4 CPUs (1 socket x 0 cores), 7168 MB

Comment 7 errata-xmlrpc 2017-05-31 15:04:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.